Make TwoColConflict usable for screenreader users
Closed, ResolvedPublic

Description

  • Label icon only buttons (Field sets// Labeled always by the question)
  • for show /hide unchanged text
  • for the dialogue box
  • Associate collapse/expand buttons to their text sections
  • Review keyboard only navigation and tab indexing
    • It should be possible to go from widget to widget through the page just by using the tab key
    • Within the widget you should be able to navigate with <- and ->
    • The whole editor block needs to be disabled when the "choose your version" dialogue box is enabled
  • In the help dialogue, first screen, the link should not only be here but Feedback is very much appreciated here
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2017, 11:07 AM
WMDE-Fisch moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team-Board board.
WMDE-Fisch moved this task from Incoming to Edit Conflict Handling on the TCB-Team board.
Lea_WMDE updated the task description. (Show Details)Jun 2 2017, 2:06 PM

After reading http://www.heydonworks.com/article/aria-controls-is-poop I will not use the aria-controls label to connect the collapse/expand buttons to the corresponding sections. As it seems it is more important to have a good focus handling / keyboard navigation there.

Change 358985 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Basic screenreader compatiblity improvements

https://gerrit.wikimedia.org/r/358985

WMDE-Fisch added subscribers: Lea_WMDE, Jan_Dittrich.

Most of the basic things mentioned in this ticket are addressed in the patch above. Keyboard navigation can still be improved though. I tried to create grid structure in the changes div but arrow navigation was not possible even after several restructuring approaches. ( I think this is somehow related to the "scroll-ablity" in that div ).

A session with PM/UX would be helpful for some navigatioin decisions needed her. Also an other session with a accessibility expert would be great.

@Lea_WMDE @Jan_Dittrich

helpful for some navigatioin decisions needed here

Yes – is there a version where I can try this already?

Change 358985 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Basic screenreader compatiblity improvements

https://gerrit.wikimedia.org/r/358985

WMDE-Fisch updated the task description. (Show Details)Jul 14 2017, 10:50 AM

The main issues in this ticket where addressed with this patch. Further improvements especially in regard of keyboard navigation with screen readers could probably be done, but we would probably need more user feedback for that.

Tobi_WMDE_SW closed this task as Resolved.Tue, Jul 25, 2:26 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team-Board board.